﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Data;
using System.Windows.Threading;
using Infragistics.Windows.Controls;

namespace GridsCell
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var tabs = new List<TabItemEx>();
            
            var tabItem1 = new TabItemEx
            {
                Header = "Tab 1",
                Content = new GridView { DataSource = new CollectionViewSource { Source = dataCollection } },
                CloseButtonVisibility = TabItemCloseButtonVisibility.Visible
            };

            var tabItem2 = new TabItemEx
            {
                Header = "Tab 2",
                Content = new GridView { DataSource = new CollectionViewSource { Source = dataCollection } },
                CloseButtonVisibility = TabItemCloseButtonVisibility.Visible
            };

            tabs.Add(tabItem1);
            tabs.Add(tabItem2);

            tabControl.ItemsSource = tabs;

            timer = new DispatcherTimer {Interval = TimeSpan.FromSeconds(1)};
            timer.Tick += timer_Tick;
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            AddData();
        }
      
        private void AddData()
        {
            dataCollection.Add(new Data() { Data1 = "Data " + index++, Data2 = random.Next(1, 100), Data3 = random.Next(1, 100) });
        }

        public ObservableCollection<Data> dataCollection = new ObservableCollection<Data>();
        private readonly Random random = new Random();
        private Int32 index = 0;
        private readonly DispatcherTimer timer;
    }

    public class Data
    {
        public String Data1 { get; set; }
        public Int32 Data2 { get; set; }
        public Int32 Data3 { get; set; }
    }
}
